﻿/*----------------------------------------------------------
The base color for this template is #5c87b2. If you'd like
to use a different color start by replacing all instances of
#5c87b2 with your new color.
----------------------------------------------------------*/
body {
    background-color: #FFFFFF;
    /*font-size: .75em;*/
    font-size: 12px;
    font-family: Verdana, Helvetica, Sans-Serif;
    margin: 0;
    padding: 0;
    color: #696969;
}

a {
    color: #034af3;
}

    a:link {
        text-decoration: underline;
    }

    a:hover {
        text-decoration: none;
    }

p, ul {
    margin-bottom: 20px;
    line-height: 1.6em;
}

/* HEADINGS   
----------------------------------------------------------*/
h1, h2, h3, h4, h5, h6 {
    font-size: 1.5em;
    color: #000;
    font-family: Arial, Helvetica, sans-serif;
}

h1 {
    font-size: 2em;
    padding-bottom: 0;
    margin-bottom: 0;
}

h2 {
    padding: 0 0 10px 0;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

/* this rule styles <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2 {
    margin-top: 0;
}

/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

/* you can specify a greater or lesser percentage for the 
page width. Or, you can specify an exact pixel width. */
.page {
    
    margin-left: auto;
    margin-right: auto;
    min-width: 1000px;
}

.page.unauthenticated {
    min-width: 400px;
}

    .page.unauthenticated ul#menu
    {
        min-width: 400px;
    }

#header {
    width: 100%;
    display: block;
    margin-bottom: 0;
    color: #000;
    padding: 0;
    height: 65px;
    border: 2px solid #FFFFFF;
}

    #header h1 {
        font-weight: bold;
        padding: 5px 0;
        margin: 0;
        color: #fff;
        border: none;
        line-height: 2em;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 32px !important;
    }

#main {
    width: 98%;
    display: block;
    padding: 30px 1% 15px 1%;
    margin-bottom: 10px;
    _height: 1px; /* only IE6 applies CSS properties starting with an underscore */
    background-color: #fff;
}

#footer {
    clear: both;
    color: #999;
    display: table-footer-group;
    padding: 10px 0;
    text-align: center;
    line-height: normal;
    margin: 0;
    font-size: .9em;
}

/* two column layout */

div#mainContainer {
    /*position: relative;
    left: 0px;*/
    display: flex;
    flex-direction: row;
    width: 100%;
}

div#mainContent {
    /*position: absolute;
    left: 185px;*/
    flex: 1;
}

button {
    padding: 4px;
    text-decoration: none;
    color: #000000;
}

input[type=text]::-ms-clear {
    display: none;
}

input[type="submit"] {
    padding: 4px;
    color: #000000;
    font-size: 1em;
    margin: 0;
}

.submitbutton {
    padding: 4px;
    color: #000000;
    font-size: 1em;
    margin: 0;
    line-height: 1em;
    font-weight: normal;
}

.specialbutton {
    background: url(images/_0001_Logon_button.png) no-repeat center;
    /*width: 150px;
    padding: 4px;*/
    background-color: #74B64A !important; 
    border: none;
    border-radius: 4px;
    padding: 5px 20px 5px 20px !important; 
    text-decoration: none;
    font-weight: bold;
    color: #ffffff !important; 
}

    .specialbutton:hover {
        /*background: url(images/Logon_button2.png) no-repeat center;*/
        background: #2aa32a !important;
    }

/*ul#side-menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

    ul#side-menu li {
        margin: 3px 0px 3px 0px;
    }

ul#side-menu li a {
    display: block;
    font-weight: bold;
    width: 160px;
    text-align: center;
    padding: 4px;
    text-decoration: none;
    color: #ffffff;
    background: url(images/_0001_Logon_button.png) no-repeat center;
    border-radius: 4px;
}

    ul#side-menu li a:hover {
        background: url(images/Logon_button2.png) no-repeat center;
        text-decoration: none;
    }

    ul#side-menu li a:active {
        background-color: #ffffff;
        color: #6cb542;
        border: 1px #6cb542 solid;
        text-decoration: none;
    }

ul#side-menu li.selected a {
    background-color: #fff;
    color: #000;
}

ul#side-menu li a {
    background: #74B64A;
}

    ul#side-menu li a:hover {
        background: #2aa32a;
    }*/

/* TAB MENU   
----------------------------------------------------------*/
ul#menu {
    background: url(images/long_titlebar2.png);
    background-repeat: repeat-x;
    border-bottom: 1px #5C87B2 solid;
    /*
    position: relative;
    top:30px;
*/
    margin: 0;
    text-align: right;
}

    ul#menu li {
        display: inline;
        list-style: none;
    }

        ul#menu li:hover > ul {
            display: block;
            z-index: 99999;
        }

        ul#menu li#greeting {
            padding: 10px 20px;
            font-weight: bold;
            text-decoration: none;
            line-height: 2.8em;
            color: #fff;
        }

        ul#menu li a {
            padding: 10px 20px;
            font-weight: bold;
            text-decoration: none;
            line-height: 3em;
            color: #ffffff;
        }

            ul#menu li a:hover {
                padding: 9px 20px;
                background: url(images/Logon_button2.png) center;
                text-decoration: none;
            }

            ul#menu li a:active {
                background-color: #ffffff;
                color: #6cb542;
                border: 1px #6cb542 solid;
                text-decoration: none;
            }

        ul#menu li.selected a {
            background-color: #fff;
            color: #000;
        }

    ul#menu ul {
        border-radius: 4px;
        box-shadow: 0 6px 12px rgba(0, 0, 0, 0.176);
        display: none;
        float: left;
        font-size: 12px;
        left: 0;
        list-style: outside none none;
        /*margin: 2px 0 0;*/
        min-width: 160px;
        padding: 0;
        position: absolute;
        top: 100%;
        z-index: 1000;
    }

        ul#menu ul li a {
            background-color: #256217;
            line-height: 1em;
        }

            ul#menu ul li a:hover {
                background-image: none;
                background-color: #348920;
            }

        ul#menu ul > li > a {
            clear: both;
            display: block;
            white-space: nowrap;
        }

.dropdown {
    position: relative;
}

/* Grid layout - using divs */
div.grid-table {
    display: table;
    border: solid 1px #e8eef4;
    border-collapse: collapse;
}

div.grid-header-row {
    display: table-header-group;
}

div.grid-column-header {
    display: table-cell;
    padding: 6px 5px;
    text-align: left;
    background-color: #e8eef4;
    border: solid 1px #e8eef4;
}

div.grid-row {
    display: table-row;
}

div.grid-cell {
    display: table-cell;
    padding: 5px;
    border: solid 1px #e8eef4;
}



/* FORM LAYOUT ELEMENTS   
----------------------------------------------------------*/

fieldset {
    margin: 1em 0;
    padding: 1em;
    border: 1px solid #CCC;
}

    fieldset p {
        margin: 2px 12px 10px 10px;
    }

legend {
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 4px 8px 4px;
}

.editor-field input {
    border: 1px solid #CCC;
}

    .editor-field input[type="text"] {
        width: 200px;
    }

    .editor-field input.small-text-box[type="text"] {
        width: 100px;
    }

    .editor-field input[type="password"] {
        width: 200px;
        border: 1px solid #CCC;
    }

.editor-field select {
    width: 200px;
    border: 1px solid #CCC;
}

/* TABLE
----------------------------------------------------------*/

table {
    border: solid 1px #e8eef4;
    border-collapse: collapse;
}

    table.full-width {
        width: 100%;
    }

    table td {
        padding: 5px;
        border: solid 1px #e8eef4;
    }

    table th {
        padding: 6px 5px;
        text-align: left;
        background-color: #e8eef4;
        border: solid 1px #e8eef4;
    }

    table tr.clickable {
        cursor: pointer;
    }

.table-header {
}

    .table-header .table-area,
    .table-header .table-area-right .table-header .table-area-left {
        display: inline-block;
    }

    .table-header .table-area-left {
        float: left;
        margin: 6px;
    }

    .table-header .table-area-right {
        float: right;
        margin: 6px;
    }


    .table-header .ui-icon-container {
        border-color: gray;
        display: inline-block;
        margin: 2px;
    }



/* MISC  
----------------------------------------------------------*/
.clear {
    clear: both;
}

.error {
    color: Red;
}

#menucontainer {
    /* margin-top: 40px; */
}

div#title {
    display: inline-block;
    float: left;
    padding-top: 10px;
    padding-left: 5px;
    /*    margin: 20px; */
    text-align: left;
}

#logindisplay {
    font-size: 1.1em;
    display: block;
    text-align: right;
    margin: 10px;
    color: #000000;
}

    #logindisplay a:link {
        text-decoration: underline;
    }

    #logindisplay a:visited {
        text-decoration: underline;
    }

    #logindisplay a:hover {
        text-decoration: none;
    }

select {
    /*   background: url(images/_0023_cabinetbig_button.png) ;
    -webkit-appearance: none;
    color:White;
    font-weight:bold;*/
    width: 200px;
    padding: 4px;
}

    select.multiselect {
        width: 600px;
        height: 400px;
    }

/* Styles for validation helpers
-----------------------------------------------------------*/

.input-validation-error,
.field-validation-error {
    color: #ff0000;
}

input.input-validation-error {
    color: inherit;
    border: 1px solid #ff0000;
    background-color: #ffeeee;
}


.field-validation-valid {
    display: none;
}

.validation-summary-errors {
    font-weight: bold;
    color: #ff0000;
}

.validation-summary-valid {
    display: none;
}

/* Styles for editor and display helpers
----------------------------------------------------------*/
.display-label, .display-area-label, .display-field, .editor-label, .editor-area-label, .editor-readonly-field, .editor-field {
    display: table-cell;
    padding: 0 0.5em 0.5em 0;
}

.display-label, .display-area-label, .editor-label, .editor-area-label {
    white-space: nowrap;
}


.editor-label-red {
    white-space: nowrap;
}

.editor-label-red, .editor-field-red {
    display: table-cell;
    padding: 0 0.5em 0.5em 0;
    color: Red;
}

.editor-area-label, .display-area-label {
    vertical-align: top;
}

.editor-area-header, .display-area-header {
    font-size: 1.1em;
    font-weight: bold;
    margin-top: 0.5em;
    margin-bottom: 0.75em;
    text-align: left;
}

.editor-column {
    display: table-cell;
}

.editor-area, .display-area {
    display: table-cell;
    clear: both;
}

.editor-area, .display-area, .editor-area-label, .display-area-label {
    padding-top: 0.5em;
}

.editor-entry, .display-entry, edior-description {
    display: table-row;
}

.editor-description {
    padding-bottom: 5px;
}

.inline-text-field {
    display: inline;
    width: 3em;
    margin-left: 0px;
    margin-right: 0px;
    padding-left: 0px;
    padding-right: 0px;
}

/*
.text-box
{
    width: 30em;
}
*/

.text-box.multi-line {
    height: 6.5em;
}

.tri-state {
    width: 6em;
}

/* Syles for assignemnt selectors */

th.assignment-header {
    text-align: center;
}

td.assigned-box > select, td.available-box > select {
    height: 10em;
    width: 15em;
}

td.assignment-commands > input {
    display: block;
}

/* Slick Grid Styles */
.formgrid {
    background: white;
    outline: 0;
    border: 1px solid gray;
    width: 700px;
    height: 300px;
}

.formgrid-pager {
    width: 700px;
}

#logos {
    padding-top: 40px;
}

    #logos table {
        border: 0px;
        border-collapse: collapse;
    }

        #logos table td {
            padding: 5px;
            border: 0px;
        }

#task_textbox {
    width: 11100px;
}

#comment-box {
    width: 700px;
    height: 100px;
    border: 1px solid #ccc;
    overflow-y: auto;
}

    #comment-box .comment {
        margin: 5px;
    }

.task-comment-date {
    color: red;
    padding: 5px;
}

.task-comment-user {
    color: red;
    padding: 15px;
}

#new-comment-text {
    width: 100%;
}

#taskForm label {
    font-weight: bold;
}

.grid-guide {
    background-color: #E5E5E5 !important;
    background-size: 100px 100px, 100px 100px, 20px 20px, 20px 20px;
    background-position: -2px -2px, -2px -2px, -1px -1px, -1px -1px;
    background-image: -webkit-linear-gradient(white 2px, transparent 2px), -webkit-linear-gradient(0, white 2px, transparent 2px), -webkit-linear-gradient(rgba(255,255,255,.3) 1px, transparent 1px), -webkit-linear-gradient(0, rgba(255,255,255,.3) 1px, transparent 1px);
    background-image: -moz-linear-gradient(white 2px, transparent 2px), -moz-linear-gradient(0, white 2px, transparent 2px), -moz-linear-gradient(rgba(255,255,255,.3) 1px, transparent 1px), -moz-linear-gradient(0, rgba(255,255,255,.3) 1px, transparent 1px);
    background-image: linear-gradient(white 2px, transparent 2px), linear-gradient(90deg, white 2px, transparent 2px), linear-gradient(rgba(255,255,255,.3) 1px, transparent 1px), linear-gradient(90deg, rgba(255,255,255,.3) 1px, transparent 1px);
}

.grid-guide-2 {
    background-color: transparent;
    background-image: linear-gradient(0deg, transparent 24%, rgba(0, 0, 0, 0.05) 25%, rgba(0, 0, 0, 0.05) 26%, transparent 27%, transparent 74%, rgba(0, 0, 0, 0.05) 75%, rgba(0, 0, 0, 0.05) 76%, transparent 77%, transparent), linear-gradient(90deg, transparent 24%, rgba(0, 0, 0, 0.05) 25%, rgba(0, 0, 0, 0.05) 26%, transparent 27%, transparent 74%, rgba(0, 0, 0, 0.05) 75%, rgba(0, 0, 0, 0.05) 76%, transparent 77%, transparent);
    background-size: 100px 100px;
    background-position: 24px 24px;
}

#gridHeight, #gridWidth {
    width: 70px;
}

.grid-options .row {
    margin-top: 5px;
}

#divdroptarget {
    overflow: auto;
    /*min-height: 700px;*/
    display: flex;
    align-items: baseline;
}

.editor-wrap {
    position: relative;
}

    .editor-wrap .k-overlay {
        position: absolute;
        opacity: 0;
        z-index: 1;
    }

    .editor-wrap .k-resize-se {
        position: absolute;
        z-index: 9999;
        bottom: 6px;
        right: 6px;
    }

    .editor-wrap > .k-editor {
        height: 100%;
    }

.over {
    border: 1px dashed #000 !important;
}

#taskFormNew label {
    font-weight: bold;
}

ul#menu-child {
    margin: 0;
    text-align: right;
    background: none;
    border: none;
}

#menu-child li a {
    background-color: #256217;
}

ul #menu-child li a:hover {
    background-image: none;
    background-color: #348920;
}

#documentFilters input.k-formatted-value.k-input {
      width: auto;
}
#documentExplorerFilters .k-widget.k-numerictextbox {
      width: auto;
}

.handler {
    display: inline-block;
    margin-right: 2px;
 }

    .handler::before {
        font-family: "Font Awesome 5 Pro", "fontawesome";
        content: "\f58e";
        display: inline-block;
        cursor: move;
    }

        .handler:hover {
            color: #74b64a;
        }

.placeholder {
    width: 298px;
    border: 1px solid #276818;
}

.hint {
    border: 2px solid #276818;
    border-radius: 6px;
    min-width: 200px;
}

.cram-top {
    margin-top: -25px;
}

#main > .row > .col-lg-12 > h2 {
    padding: 0 0 5px 0;
    margin: 5px 0;
}

/************Field actions*/
.canvas:hover .field-actions {
    display: block;
}

.field-actions {
    display: none; 
    position: absolute;
    top: 0px;
    right: 2px;
    margin: 0;
    z-index: 2;
}

.field-actions li:first-child {
  margin-left: 0;
}

.field-actions li {
  opacity: .7;
  list-style-type: none;
  color: #666;
  background-color: #fff;
  -moz-box-shadow: 0 0 0 1px #ccc;
  -webkit-box-shadow: 0 0 0 1px #ccc;
  box-shadow: 0 0 0 1px #ccc;
  padding: 2px 2px;
  float: left;
  margin-left: 5px;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  font-size: 12px;
  -moz-transition-property: opacity;
  -o-transition-property: opacity;
  -webkit-transition-property: opacity;
  transition-property: opacity;
  -moz-transition-duration: .33s;
  -o-transition-duration: .33s;
  -webkit-transition-duration: .33s;
  transition-duration: .33s;
}

    .field-actions li .delete {
        color: red;
    }

.field-actions li:hover {
  -moz-box-shadow: 0 0 0 2px #ccc;
  -webkit-box-shadow: 0 0 0 2px #ccc;
  box-shadow: 0 0 0 2px #ccc;
  cursor: pointer;
  opacity: 1;
}

#droptarget {
    margin: 0 auto;
    position: relative;
    padding-bottom: 250px;
    min-width: 900px;
}

.id-field-data-type { width: 200px; }

.loading-overlay {
    opacity: 0.7;
    position: fixed;
    z-index: 99;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #fff;
    color: #000;
    display: table;
}

.loading-overlay-content {
    text-transform: uppercase;
    letter-spacing: .4em;
    font-size: 1.15em;
    font-weight: 700;
    text-align: center;
    display: table-cell;
    vertical-align: middle;
}

/************Field filters*/
.col-settings {
    width: 500px;
    height: 550px;
    padding: 20px;
}

.col-settings ol {
    counter-reset: li; /* Initiate a counter */
    list-style: none; /* Remove default numbering */
    *list-style: decimal; /* Keep using default numbering for IE6/7 */
    font: 15px 'trebuchet MS', 'lucida sans';
    padding: 20px;
    text-shadow: 0 1px 0 rgba(255,255,255,.5);
    cursor: pointer;
    margin: 0px auto;
    width: 300px;
    max-height: 400px;
    overflow: auto;
    margin-bottom: 20px;
}

.col-list span {
    position: relative;
    display: block;
    padding: .4em .4em .4em 2em;
    *padding: .4em;
    margin: .5em 0;
    background: #ddd;
    color: #444;
    text-decoration: none;
    border-radius: .3em;
    transition: all .3s ease-out;
}

.col-list .col.system-field span {
    background: #74B64A;
    color: #ffffff;
}

.col-list .col.active span:before {
    font: normal normal normal 14px;
    font-family: "Font Awesome 5 Pro";
    font-weight: 900;
    content: "\f00c";
    position: absolute;
    left: -1.3em;
    top: 50%;
    margin-top: -1.3em;
    background: #87ceeb;
    height: 2em;
    width: 2em;
    line-height: 2em;
    border: .3em solid #fff;
    text-align: center;
    font-weight: bold;
    border-radius: 2em;
    transition: all .3s ease-out;
    color: #444;
}

.col-list span:hover, .col-list .col.inactive span {
    background: #eee;
}
.col-settings .col-settings-title {
    font-size: 20px;
    color: gray;
    text-align: center;
}
.col-settings .button-bottom-container {
    text-align: right;
}
/************Report Search*/
.report-search {
    -o-justify-content: space-between;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    margin-bottom: 20px;
    background-color: #FFFDF0;
    padding: 10px;
    -ms-border-radius: 3px;
    border-radius: 3px;
    border: solid 1px #ddd;
    -ms-align-items: center;
    -o-align-items: center;
    -webkit-align-items: center;
    align-items: center;
}

.report-search .title {
    font-weight: bold;
    display: inline-block;
    width: 220px;
}

.report-search .search-field {
    margin-bottom: 10px;
}

.cabinet-filters-container .title {
    font-weight: bold;
    display: inline-block;
    width: 220px;
}

.cabinet-filters-container .cabinet-container {
    margin-bottom: 10px;
}
.cabinet-filters-container .btn-select-filters {
    margin-left: 10px;
    margin-right: 10px;
}
.cabinet-filters-container .cabinet {
    width: 305px;
}
.cabinet-filters-container .reload {
    color: yellowgreen;
    margin: 10px;
    cursor: pointer;
}

.cabinet-filters {
    display: flex;
    flex-wrap: wrap;
}
.field-filter-container {
    margin-bottom: 10px;
    display: inline-flex;
    align-items: center;
    margin-right: 10px;
    width: 525px;
}

.field-filter-container .text-dropdownlist {
    width: 308px;
}

.field-filter-container .field-filter-matcher {
    width: 110px;
}

.field-filter-container .field-filter-hidden {
    display: none;
}

.field-filter-container .text-match {
    width: 185px;
    margin-left: 10px;
}

.field-filter-container .text-match-full-width {
    width: 305px;
    margin-left: 0px;
}

.report-search .k-dropdown .k-state-focused .k-input {
    color: #ffffff;
}